local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local tool_templates = {
	item_defiblance_shalem_drm = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMS.DEFIBRILLATOR, 
		desc = STRINGS.ITEMS.DEFIBRILLATOR_TOOLTIP, 
		flavor = STRINGS.ITEMS.DEFIBRILLATOR_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_defibulator_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_defibulator.png",	
		traits = { cooldown = 0, cooldownMax = 6, restrictedUse={{agentID=2,name=STRINGS.AGENTS.SHALEM.NAME}} },
		abilities = { "carryable","use_aggression" },
		value = 0,
	},
	item_prism_1_drm = util.extend(commondefs.item_template)
	{
		type = "item_disguise",
		name = STRINGS.ITEMS.HOLO_MESH,
		desc = STRINGS.ITEMS.HOLO_MESH_TOOLTIP,
		flavor = STRINGS.ITEMS.HOLO_MESH_FLAVOR,
		icon = "itemrigs/disk.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_holomesh_Prism.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_holomesh_Prism.png",
    	abilities = { "carryable" , "disguise" },
    	value = 0,
    	traits = {  scan_vulnerable=true, CPUperTurn=2, pwrCost=2, warning=STRINGS.ITEMS.HOLO_MESH_WARNING, restrictedUse={{agentID=8,name=STRINGS.AGENTS.PRISM.NAME}}, drop_dropdisguise=true },	
	},	
	item_econchip_banks_drm = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMS.ECON_CHIP_BANKS,
		desc = STRINGS.ITEMS.ECON_CHIP_BANKS_TOOLTIP,
		flavor = STRINGS.ITEMS.ECON_CHIP_BANKS_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_econ_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_econ.png",	
		traits = { cooldown = 0, cooldownMax = 4, PWR_conversion = 50, restrictedUse={{agentID=4,name=STRINGS.AGENTS.BANKS.NAME}} },
		requirements = {  },
		abilities = { "carryable","recharge","jackin" },
		value = 0,
	},	
}

-- Reassign key name to value table.
for id, template in pairs(tool_templates) do
	template.id = id
end

return tool_templates